import { AvailableSUMKeySuffixTypes, ConfigType } from '@/feature/config/types';
export interface sumFile {
    SUMSuffixFileName: string;
    SUMKeySuffix: string;
    isCreated: boolean;
    path: string;
    realFilePath: string;
    realPath: string;
    templateVersion: string;
}
export type sumArrayPathFileSet<T extends string = AvailableSUMKeySuffixTypes & '_'> = {
    [K in T]?: sumFile;
} & {
    defaultFile: sumFile;
};
export type sumFileMapObjectType = Record<string, sumArrayPathFileSet> | Record<string, NonNullable<unknown>>;
export interface FileMapConfig {
    createdFileMap: string[];
    manualCreatedFileMap?: string[];
    rootPathFileList?: string[];
    templateVersion: string;
    fileMap: string[];
    templateFileList?: string[];
    sumFileMap?: sumFileMapObjectType;
}
export declare const updateDetailsFileMapConfig2: ({ realFilePath, operation, config, sumFileMapConfig, SUMKeySuffix, SUMSuffixFileName, isCreated, path, realPath, templateVersion, }: {
    SUMKeySuffix?: string | undefined;
    realFilePath?: string | undefined;
    operation: 'addConfigSuffixFile' | 'createSuffixFile' | 'createSUMRealFile' | 'deleteFile' | 'removeFileMap' | 'createRealFileName';
    config: ConfigType;
    sumFileMapConfig?: FileMapConfig | undefined;
    SUMSuffixFileName?: string | undefined;
    isCreated?: boolean | undefined;
    path?: string | undefined;
    realPath?: string | undefined;
    templateVersion?: string | undefined;
}) => Promise<FileMapConfig>;
